# Generated by Django 3.1.4 on 2021-01-11 17:32

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Achievement',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('match_id', models.IntegerField()),
                ('user_id', models.IntegerField()),
                ('answered_question_id', models.TextField()),
                ('achievement', models.IntegerField()),
            ],
            options={
                'verbose_name': '成绩及答题',
                'verbose_name_plural': '成绩及答题',
            },
        ),
        migrations.CreateModel(
            name='ChooseQuestions',
            fields=[
                ('question_id', models.AutoField(primary_key=True, serialize=False)),
                ('question_content', models.TextField()),
                ('question_options', models.TextField()),
                ('question_answer', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': '选择题题库',
                'verbose_name_plural': '选择题题库',
            },
        ),
        migrations.CreateModel(
            name='CtfCategory',
            fields=[
                ('category_id', models.AutoField(primary_key=True, serialize=False)),
                ('category_name', models.CharField(max_length=20)),
            ],
            options={
                'verbose_name': 'CTF类型',
                'verbose_name_plural': 'CTF类型',
            },
        ),
        migrations.CreateModel(
            name='CtfQuestions',
            fields=[
                ('question_id', models.AutoField(primary_key=True, serialize=False)),
                ('question_title', models.CharField(max_length=255)),
                ('question_content', models.TextField()),
                ('question_tips', models.TextField()),
                ('question_answer', models.CharField(max_length=255)),
                ('question_fraction', models.CharField(max_length=255)),
                ('question_type', models.CharField(choices=[('Choose', 'Choose'), ('SAQ', 'SAQ'), ('CTF', 'CTF'), ('AWD', 'AWD')], max_length=6)),
                ('question_ctf_category', models.CharField(choices=[('', '------')], max_length=20)),
                ('docker_path', models.CharField(blank=True, max_length=200)),
            ],
            options={
                'verbose_name': 'CTF题库',
                'verbose_name_plural': 'CTF题库',
            },
        ),
        migrations.CreateModel(
            name='MatchInfo',
            fields=[
                ('match_id', models.AutoField(primary_key=True, serialize=False)),
                ('match_name', models.CharField(default='新建比赛', max_length=40)),
                ('match_content', models.CharField(default='暂无简介', max_length=50)),
                ('match_start_time', models.DateTimeField()),
                ('match_stop_time', models.DateTimeField()),
                ('match_user', models.TextField()),
                ('match_questions', models.TextField()),
            ],
            options={
                'verbose_name': '赛事信息',
                'verbose_name_plural': '赛事信息',
            },
        ),
        migrations.CreateModel(
            name='Notice',
            fields=[
                ('notice_id', models.AutoField(primary_key=True, serialize=False)),
                ('match_id', models.IntegerField(blank=True, choices=[(0, '全局通知')])),
                ('notice_content', models.TextField()),
                ('notice_time', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': '公告',
                'verbose_name_plural': '公告',
            },
        ),
        migrations.CreateModel(
            name='WriteUp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.CharField(default='', max_length=255)),
                ('match_id', models.IntegerField()),
                ('file_path', models.CharField(default='', max_length=255)),
            ],
            options={
                'verbose_name': '题解',
                'verbose_name_plural': '题解',
            },
        ),
    ]
